{% extends "account/base.html" %}

{% load crispy_forms_tags %}

{% block head_title %} - {% translate "Электронная почта" %}{% endblock %}

{% block content %}
<div class="row">
  <div class="col-md-5">
    <h2>Почта</h2>
    {% if user.emailaddress_set.exists %}
    <p>{% translate "Данная почта ассоциирована с вашим аккаунтом:" %}</p>

    <form action="{% url 'account_email' %}"
      class="email_list"
      method="post">{% csrf_token %}
      <fieldset class="blockLabels">

        {% for emailaddress in user.emailaddress_set.all %}
        <div class="ctrlHolder">
          <label for="email_radio_{{ forloop.counter }}"
            class="{% if emailaddress.primary %}primary_email{% endif %}">

            <input id="email_radio_{{ forloop.counter }}"
              type="radio"
              name="email"
              {% if emailaddress.primary %}checked="checked"
              {% endif %}
              value="{{ emailaddress.email }}" />

            {{ emailaddress.email }}
            {% if emailaddress.verified %}
            <span class="bi bi-check"
              aria-hidden="true"
              title="Verified"></span>
            {% else %}
            <span class="bi bi-x"
              aria-hidden="true"
              title="Unverified"></span>
            {% endif %}
            {% if emailaddress.primary %}
            <span class="bi bi-star"
              aria-hidden="true"
              title="Primary"></span>
            {% endif %}
          </label>
        </div>
        {% endfor %}

        <div class="buttonHolder">
          <button class="btn btn-sm btn-primary"
            type="submit"
            name="action_primary">{% translate "Сделать основной" %}</button>
          <button class="btn btn-sm btn-outline-dark"
            type="submit"
            name="action_send">Re-send Verification</button>
          <button class="btn btn-sm btn-danger"
            type="submit"
            name="action_remove">{% translate "Удалить" %}</button>
        </div>

      </fieldset>
    </form>

    {% else %}
    <p>
      <strong>{% translate "Внимание:"%}</strong>
      {% blocktranslate %}
      В настоящее время у вас не настроен адрес электронной почты.
      Вам нужно добавить адрес электронной почты, чтобы вы могли получать уведомления,
      сбросить пароль и т. д.
      {% endblocktranslate %}
    </p>
    {% endif %}

    <h2>Добавить адрес электронной почты</h2>

    <form method="post"
      action="."
      class="add_email">{% csrf_token %}
      {{ form|crispy }}
      <button class="btn btn-sm btn-primary"
        name="action_add"
        type="submit">{% trans "Добавить почту" %}</button>
    </form>
  </div>
</div>
{% endblock %}

{% block extra_body %}
<script type="text/javascript">
  (function () {
    var message = "Do you really want to remove the selected email address?";
    var actions = document.getElementsByName('action_remove');
    if (actions.length) {
      actions[0].addEventListener("click", function (e) {
        if (!confirm(message)) {
          e.preventDefault();
        }
      });
    }
  })();
</script>
{% endblock %}
